IBM Support

Apple Macintosh Client Requirements

Troubleshooting


Problem

Hardware and software requirements for IBM Spectrum Protect Apple Macintosh (Mac) backup-archive client and API

Cause

Tip: The product now known as IBM Spectrum Protect was named IBM Tivoli Storage Manager in releases earlier than Version 7.1.3. To learn more about the rebranding transition, see Tivoli Storage Manager branding transition to IBM Spectrum Protect.
 

Resolving The Problem

Hardware and Software Requirements
 

This document is divided into linked sections for ease of navigation. Use the following links to jump to the section of the document that you require:



 

Version 8.1

Hardware
System Any 64-bit Intel-based Macintosh
Disk Space 500 MB disk space required to install the client
Memory
 
No extra Random-Access Memory (RAM) required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. More RAM might be required to run the product.
Software
Communication Protocol
  • Transmission Control Protocol/Internet Protocol (TCP/IP)
Operating system
  • Macintosh OS X 10.11
  • Macintosh OS X 10.12
  • Macintosh OS X 10.13 (Beginning with backup-archive client V8.1.2)
  • Macintosh OS X 10.14 (Beginning with backup-archive client V8.1.6)
Note: Macintosh OS X 10.15 (Catalina) is currently not supported. IBM is working on support for Catalina, but at this time there is no target date for this support to be added. This page will be updated with further details when support for Catalina is available.
File system For supported file systems, see: File system and ACL support
Additional Software
The web backup-archive client requires Java™: JRE 7 or JRE 8

Note: Beginning with IBM Spectrum Protect V8.1.2, you can no longer use the web client to connect to the IBM Spectrum Protect V8.1.2 or later server. For more information, see Using the web client in the new security environment


 



 

Version 7.1

Hardware
System Any 64-bit Intel-based Macintosh
Disk Space 500 MB disk space required to install the client
Memory
 
No extra RAM required for product installation. RAM requirements for running the product vary widely and depend on your environment, configuration, and tasks that you perform. More RAM might be required to run the product.
Software
Communication Protocol
  • TCP/IP
Operating system
  • Macintosh OS X 10.8
  • Macintosh OS X 10.9
  • Macintosh OS X 10.10 (Beginning with backup-archive client V7.1.1)
  • Macintosh OS X 10.11 (Beginning with backup-archive client V7.1.3.2)
File system For supported file systems, see: File system and ACL support
Additional Software
For Java™ GUI:
  • Macintosh OS X 10.8 and Macintosh OS X 10.9: Java JRE 7
  • Macintosh OS X 10.10:
    • Before backup-archive client V7.1.2: Java SE Development Kit (JDK) 8 required
    • Beginning with backup-archive client V7.1.2: Java JRE 8 included (JDK 8 is no longer required)
The web client requires: Java plug-in that included in JRE 7 or JRE 8


 



 

Versions past End of Support (EOS)



 

Client Components Offered

Administrative Backup-archive HSM API
Command line interface Graphical user interface Command line interface Web browser interface Graphical user interface Command line interface Interface
yes yes yes yes yes


 



 

[{"Business Unit":{"code":"BU010","label":"Systems - Storage"},"Product":{"code":"SSEQVQ","label":"IBM Spectrum Protect"},"Component":"Client","Platform":[{"code":"PF014","label":"iOS"}],"Version":"7.1;8.1","Edition":""},{"Business Unit":{"code":"BU010","label":"Systems - Storage"},"Product":{"code":"SSGSG7","label":"Tivoli Storage Manager"},"Component":"Client","Platform":[{"code":"PF014","label":"iOS"}],"Version":"7.1","Edition":""}]

Document Information

Modified date:
19 November 2019

UID

swg21053584